/**
 * 象棋的陣營，紅方或黑方。
 * 
 * @author 依瑪貓
 * @version 2013-03-17
 */
public enum ChessSide {
    
    /** 紅方。 */
    RED ( "red" ),
    
    /** 黑方。 */
    BLACK ( "black" );
    
    /** 代表陣營的字串。 */
    private String s = null;
    
    /**
     * 建立新的象棋陣營。
     * 
     * @param str 代表陣營的字串。
     */
    ChessSide(String str) {
        s = str;
    }
    
    /**
     * 傳回象棋陣營的代表字串。
     * 
     * @return 象棋陣營的代表性字串。
     */
    public String toString() {
        return s;
    }
}